aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbrowser/linux/binary_tarball/scripts/1_Install_Dependencies.sh8
-rw-r--r--browser/linux/binary_tarball/scripts/4_Build_Binary_Tarball.sh6
2 files changed, 7 insertions, 7 deletions
diff --git a/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh b/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
index 9839601..0230e0d 100755
--- a/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
+++ b/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
@@ -2,10 +2,10 @@
printf "\n\n-------------------------------------- DEPENDENCY INSTALLATION ---------------------------------------------\n";
printf "\nInstalling dependencies\n";
-apt-get update -qq && apt-get install -qqy python python3 wget;
-wget https://hg.mozilla.org/mozilla-central/raw-file/default/python/mozboot/bin/bootstrap.py;
-python ./bootstrap.py --application-choice=browser --no-interactive || true
-rm -f ./bootstrap.py;
+apt-get update -qq && apt-get install -qqy mercurial wget; #python python3 wget;
+# wget https://hg.mozilla.org/mozilla-central/raw-file/default/python/mozboot/bin/bootstrap.py;
+# python ./bootstrap.py --application-choice=browser --no-interactive || true
+# rm -f ./bootstrap.py;
# adds the new rust install to PATH
# printf "\nAdding new rust install to PATH\n";
diff --git a/browser/linux/binary_tarball/scripts/4_Build_Binary_Tarball.sh b/browser/linux/binary_tarball/scripts/4_Build_Binary_Tarball.sh
index 6cf3866..0c03e39 100644
--- a/browser/linux/binary_tarball/scripts/4_Build_Binary_Tarball.sh
+++ b/browser/linux/binary_tarball/scripts/4_Build_Binary_Tarball.sh
@@ -5,9 +5,9 @@ OUTPUT_TARBALL=$2;
printf "\n\n--------------------------------------- BUILD -----------------------------------------------\n";
-# Bootstraps librewolf again (using the ./mach script inside the source code)
-# printf "\nRunning bootstrapper to install build dependencies (using ./mach script within source code)\n";
-# ./mach bootstrap --application-choice=browser --no-interactive;
+# Installs build dependencies (using the ./mach script inside the source code)
+printf "\nRunning bootstrapper to install build dependencies (using ./mach script within source code)\n";
+./mach bootstrap --application-choice=browser --no-interactive;
cd $SOURCE_FOLDER;
bgstack15